
QGIS Application - Bug report #10564

Errors while pasting features as new memory layer

2014-06-12 03:59 AM - Nyall Dawson

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18971

Description

I'm getting a number of errors while attempting to paste features as a new memory layer:

"Cannot create field create_dat (Date,QDate)" while attempting to paste from a shapefile

"Cannot create field origin (varchar,QString)" while attempting to paste from a postgis layer

This used to work, it's broken sometime during 2.4

Related issues:

Related to QGIS Application - Bug report # 13875: Error while pasting feature... Closed 2015-11-24

Associated revisions

Revision 68fd061d - 2014-06-14 09:01 PM - Jürgen Fischer

vectorlayer: better matching of supported types (fixes #10564)

History

#1 - 2014-06-14 06:06 AM - Jürgen Fischer

- Category set to Data Provider

#2 - 2014-06-14 12:01 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"68fd061d58cdf7ea52ee1d35ec29c74da05e31f0".
